Subject: Ticket Assigned - Article Feedback - When will you pick up the products I want to return?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 13 May 2022 16:07:41 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will you pick up the products I want to return? Feedback for:  When will you pick up the products I want to return? Last 4 days gettg call for collecting  my return prdct.nobody came.today also someone called and told us to come down to the buildg.waited 10-15 min, nobody came. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4211708